commit:     0c904c5599cc8bbeb5ff15658137a748953ffcec
Author:     Bertrand Jacquin <bertrand <AT> jacquin <DOT> bzh>
AuthorDate: Tue Feb  9 23:09:38 2021 +0000
Commit:     Mikle Kolyada <zlogene <AT> gentoo <DOT> org>
CommitDate: Tue Feb 23 15:33:09 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0c904c55

app-crypt/pinentry: add pinentry-fltk

As per https://git.gnupg.org/cgi-bin/gitweb.cgi?p=pinentry.git;a=blob;f=NEWS,
pinentry 1.1.1 adds an EFL based pinentry.

Bug: https://bugs.gentoo.org/767181
Bug: https://bugs.gentoo.org/771003
Signed-off-by: Bertrand Jacquin <bertrand <AT> jacquin.bzh>
Package-Manager: Portage-3.0.13, Repoman-3.0.2
Closes: https://github.com/gentoo/gentoo/pull/19396
Signed-off-by: Mikle Kolyada <zlogene <AT> gentoo.org>

 app-crypt/pinentry/metadata.xml             |  3 +
 app-crypt/pinentry/pinentry-1.1.1-r1.ebuild | 90 +++++++++++++++++++++++++++++
 2 files changed, 93 insertions(+)

diff --git a/app-crypt/pinentry/metadata.xml b/app-crypt/pinentry/metadata.xml
index 6698a4ab788..7aa9e9a300f 100644
--- a/app-crypt/pinentry/metadata.xml
+++ b/app-crypt/pinentry/metadata.xml
@@ -5,4 +5,7 @@
                <email>[email protected]</email>
                <name>Mikle Kolyada</name>
        </maintainer>
+       <use>
+               <flag name="efl">Build <pkg>dev-libs/efl</pkg> based 
pinentry</flag>
+       </use>
 </pkgmetadata>

diff --git a/app-crypt/pinentry/pinentry-1.1.1-r1.ebuild 
b/app-crypt/pinentry/pinentry-1.1.1-r1.ebuild
new file mode 100644
index 00000000000..c44afad0666
--- /dev/null
+++ b/app-crypt/pinentry/pinentry-1.1.1-r1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools flag-o-matic qmake-utils toolchain-funcs
+
+DESCRIPTION="Simple passphrase entry dialogs which utilize the Assuan protocol"
+HOMEPAGE="https://gnupg.org/aegypten2";
+SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~s390 ~x86 ~x64-cygwin 
~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris ~x86-solaris"
+IUSE="caps efl emacs gnome-keyring gtk ncurses qt5"
+
+DEPEND="
+       >=app-eselect/eselect-pinentry-0.7.2
+       >=dev-libs/libassuan-2.1
+       >=dev-libs/libgcrypt-1.6.3
+       >=dev-libs/libgpg-error-1.17
+       caps? ( sys-libs/libcap )
+       efl? ( dev-libs/efl[X] )
+       gnome-keyring? ( app-crypt/libsecret )
+       ncurses? ( sys-libs/ncurses:0= )
+       qt5? (
+               dev-qt/qtcore:5
+               dev-qt/qtgui:5
+               dev-qt/qtwidgets:5
+       )
+"
+RDEPEND="${DEPEND}
+       gtk? ( app-crypt/gcr )
+"
+BDEPEND="
+       sys-devel/gettext
+       virtual/pkgconfig
+"
+
+DOCS=( AUTHORS ChangeLog NEWS README THANKS TODO )
+
+PATCHES=(
+       "${FILESDIR}/${PN}-1.0.0-make-icon-work-under-Plasma-Wayland.patch"
+       "${FILESDIR}/${PN}-0.8.2-ncurses.patch"
+       "${FILESDIR}/${PN}-1.0.0-AR.patch"
+)
+
+src_prepare() {
+       default
+       unset FLTK_CONFIG
+       eautoreconf
+}
+
+src_configure() {
+       [[ "$(gcc-major-version)" -ge 5 ]] && append-cxxflags -std=gnu++11
+
+       export QTLIB="$(qt5_get_libdir)"
+
+       econf \
+               $(use_enable efl pinentry-efl) \
+               $(use_enable emacs pinentry-emacs) \
+               $(use_enable gnome-keyring libsecret) \
+               $(use_enable gtk pinentry-gnome3) \
+               $(use_enable ncurses fallback-curses) \
+               $(use_enable ncurses pinentry-curses) \
+               $(use_enable qt5 pinentry-qt) \
+               $(use_with caps libcap) \
+               --enable-pinentry-tty \
+               --disable-pinentry-fltk \
+               --disable-pinentry-gtk2 \
+               MOC="$(qt5_get_bindir)"/moc \
+               
GPG_ERROR_CONFIG="${ESYSROOT}/usr/bin/${CHOST}-gpg-error-config" \
+               LIBASSUAN_CONFIG="${ESYSROOT}/usr/bin/libassuan-config" \
+               $("${S}/configure" --help | grep -- '--without-.*-prefix' | sed 
-e 's/^ *\([^ ]*\) .*/\1/g')
+}
+
+src_install() {
+       default
+       rm "${ED}"/usr/bin/pinentry || die
+
+       use qt5 && dosym pinentry-qt /usr/bin/pinentry-qt5
+}
+
+pkg_postinst() {
+       eselect pinentry update ifunset
+}
+
+pkg_postrm() {
+       eselect pinentry update ifunset
+}

Reply via email to